apiVersion: apps/v1
kind: Deployment
metadata:
  name: piste
spec:
  selector:
    matchLabels:
      app: piste
  replicas: 2
  template:
    metadata:
      labels:
        app: piste
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - image: xxxxxxxxxxxx.dkr.ecr.us-west-2.amazonaws.com/piste:latest
        name: piste
        imagePullPolicy: Always
        resources:
          limits:
            cpu: 150m
        ports:
          - name: http
            containerPort: 80
        env:
          - name: GNAR_LOG_LEVEL
            value: 'INFO'
          - name: GNAR_EMAIL_HOST
            valueFrom:
              secretKeyRef:
                name: email
                key: host
          - name: GNAR_EMAIL_LOGO_URL
            valueFrom:
              secretKeyRef:
                name: email
                key: logo-url
          - name: GNAR_EMAIL_PROJECT_NAME
            valueFrom:
              secretKeyRef:
                name: email
                key: project-name
          - name: GNAR_EMAIL_SENDER
            valueFrom:
              secretKeyRef:
                name: email
                key: sender
          - name: GNAR_JWT_SECRET_KEY
            valueFrom:
              secretKeyRef:
                name: jwt
                key: secret-key
          - name: GNAR_PG_DATABASE
            valueFrom:
              secretKeyRef:
                name: postgres
                key: database
          - name: GNAR_PG_ENDPOINT
            valueFrom:
              secretKeyRef:
                name: postgres
                key: endpoint
          - name: GNAR_PG_PASSWORD
            valueFrom:
              secretKeyRef:
                name: postgres
                key: password
          - name: GNAR_PG_USERNAME
            valueFrom:
              secretKeyRef:
                name: postgres
                key: username
          - name: GNAR_RECAPTCHA_SECRET_KEY
            valueFrom:
              secretKeyRef:
                name: recaptcha
                key: secret-key
          - name: GNAR_REDIS_ENDPOINT
            valueFrom:
              secretKeyRef:
                name: redis
                key: endpoint
          - name: GNAR_SES_ACCESS_KEY_ID
            valueFrom:
              secretKeyRef:
                name: ses
                key: access-key-id
          - name: GNAR_SES_REGION_NAME
            valueFrom:
              secretKeyRef:
                name: ses
                key: region-name
          - name: GNAR_SES_SECRET_ACCESS_KEY
            valueFrom:
              secretKeyRef:
                name: ses
                key: secret-access-key
          - name: GNAR_SQS_ACCESS_KEY_ID
            valueFrom:
              secretKeyRef:
                name: sqs
                key: access-key-id
          - name: GNAR_SQS_REGION_NAME
            valueFrom:
              secretKeyRef:
                name: sqs
                key: region-name
          - name: GNAR_SQS_SECRET_ACCESS_KEY
            valueFrom:
              secretKeyRef:
                name: sqs
                key: secret-access-key
